/*
 *  Copyright 2025-2026 R3944Realms
 *
 *    Licensed under the Apache License, Version 2.0 (the "License");
 *    you may not use this file except in compliance with the License.
 *    You may obtain a copy of the License at
 *
 *        http://www.apache.org/licenses/LICENSE-2.0
 *
 *    Unless required by applicable law or agreed to in writing, software
 *    distributed under the License is distributed on an "AS IS" BASIS,
 *    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *    See the License for the specific language governing permissions and
 *    limitations under the License.
 */

package top.r3944realms.eroticdungeongame.content.block.part;

import net.minecraft.util.StringRepresentable;
import org.jetbrains.annotations.NotNull;

public enum HollowFrame3x3Part implements StringRepresentable {
    HEAD_1("head1"),
    HEAD_2("head2"),
    HEAD_3("head3"),
    MIDDLE_1("middle1"),
    MIDDLE_3("middle3"),
    FOOT_1("foot1"),
    FOOT_2("foot2"),
    FOOT_3("foot3"),;
    private final String name;
    HollowFrame3x3Part(String name) {
        this.name = name;
    }
    @Override
    public @NotNull String getSerializedName() {
        return name;
    }
}
